# class Constructor | Constructor object for use with the 'new' operator. More...
Full name | `KJS::Constructor`
Definition | `#include <function.h>`
Inherits | KJS::Function [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- Constructor (Imp *)
- virtual ~Constructor ()
- Completion execute (const List &)
- Object construct (const List &args)

#### Public Static Methods

- static Constructor dynamicCast (const KJSO &obj)

## Detailed Description

Constructor (Imp *) | ### Constructor

~Constructor () | ### ~Constructor

[virtual]

Completion execute (const List &) | ### execute

Returns: ConstructorType

Reimplemented from Function.

Object construct (const List &args) | ### construct

Constructor dynamicCast (const KJSO &obj) | ### dynamicCast

[static]

Generated by: root@sparc.ports.openbsd.org on Wed May 2 09:45:14 2001, using kdoc 2.0a53.